libetonyek::PAG1ShapeContext Class Reference documentation

Public Member Functions | Private Member Functions | List of all members
libetonyek::PAG1ShapeContext Class Reference

`#include <PAG1ShapeContext.h>`

Inheritance diagram for libetonyek::PAG1ShapeContext:

## Public Member Functions
| PAG1ShapeContext (PAG1ParserState &state)
Public Member Functions inherited from libetonyek::PAG1XMLContextBase< IWORKShapeContext >
| PAG1XMLContextBase (PAG1ParserState &state)
| PAG1XMLContextBase (PAG1ParserState &state, T1 arg1)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKShapeContext, PAG1ParserState, PAGCollector >
| IWORKXMLContextBase (PAG1ParserState &state)
| IWORKXMLContextBase (PAG1ParserState &state, const T &a)
PAG1ParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKShapeContext
| IWORKShapeContext (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKShapeContext, PAG1ParserState, PAGCollector >
PAGCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKShapeContext
void | startOfElement () override
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKShapeContext, PAG1ParserState, PAGCollector >
PAG1ParserState & | m_state
Protected Attributes inherited from libetonyek::IWORKShapeContext
IWORKStylePtr_t | m_style
boost::optional< IWORKWrap > | m_wrap
boost::optional< int > | m_order
bool | m_locked
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ PAG1ShapeContext()

libetonyek::PAG1ShapeContext::PAG1ShapeContext | ( | PAG1ParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::PAG1ShapeContext::attribute | ( | int | name,
|  | const char * | value )
| overrideprivate

## ◆ element()

IWORKXMLContextPtr_t libetonyek::PAG1ShapeContext::element | ( | int | name | ) |
| overrideprivate

The documentation for this class was generated from the following files:

- PAG1ShapeContext.h
- PAG1ShapeContext.cpp